import memoize from 'lodash/memoize';
export var getDefaultDate = function () {
    var date = new Date();
    date.setUTCHours(0, 0, 0, 0);
    return date.toISOString().split('.')[0] + 'Z';
};
export var normalizeDateTime = memoize(function (timestamp) {
    var d = new Date(timestamp);
    if (isNaN(d.getTime())) {
        return 'Invalid date';
    }
    return d.toISOString().split('.')[0] + 'Z';
});
