import * as tslib_1 from "tslib";
import * as React from 'react';
import styled from 'styled-components';
import asRendition from '../asRendition';
import { radius } from '../theme';
import { monospace, px } from '../utils';
var Base = styled.textarea(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\tborder-radius: ", ";\n\tfont-size: inherit;\n\tborder: 1px solid ", ";\n\tpadding: 8px 16px;\n\tresize: vertical;\n\tdisplay: block;\n\twidth: 100%;\n\n\t&:hover {\n\t\tbox-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.1);\n\t}\n\t&::placeholder {\n\t\tcolor: ", ";\n\t}\n\n\t", ";\n"], ["\n\tborder-radius: ", ";\n\tfont-size: inherit;\n\tborder: 1px solid ", ";\n\tpadding: 8px 16px;\n\tresize: vertical;\n\tdisplay: block;\n\twidth: 100%;\n\n\t&:hover {\n\t\tbox-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.1);\n\t}\n\t&::placeholder {\n\t\tcolor: ", ";\n\t}\n\n\t", ";\n"])), px(radius), function (props) { return props.theme.colors.gray.main; }, function (props) { return props.theme.colors.gray.main; }, monospace);
var Component = function (_a) {
    var autoRows = _a.autoRows, maxRows = _a.maxRows, minRows = _a.minRows, rows = _a.rows, props = tslib_1.__rest(_a, ["autoRows", "maxRows", "minRows", "rows"]);
    var rowsProp = rows;
    if (autoRows && props.onChange) {
        rowsProp = (props.value || '').split('\n').length;
    }
    if (maxRows && (rowsProp || 0) > maxRows) {
        rowsProp = maxRows;
    }
    if (minRows && (rowsProp || 0) < minRows) {
        rowsProp = minRows;
    }
    return React.createElement(Base, tslib_1.__assign({ rows: rowsProp }, props));
};
export default asRendition(Component);
var templateObject_1;
