"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var grommet_1 = require("grommet");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../asRendition"));
exports.getHoverStyle = function (props) { return "\n\t& label:hover input:not([disabled]) + span > span {\n\t\tborder-color: " + props.theme.colors.primary.dark + ";\n\t\tbackground: " + props.theme.colors.primary.dark + ";\n\t}\n\t& label:hover input:not([disabled]) + div {\n\t\tborder-color: " + props.theme.colors.tertiary.main + "!important;\n\t}\n\t& label:hover input[checked]:not([disabled]) + div {\n\t\tborder-color: " + props.theme.colors.primary.dark + "!important;\n\t\tbackground: " + props.theme.colors.primary.dark + ";\n\t}\n"; };
var getBaseStyle = function (props) { return "\n\t& > label > span {\n\t\tfont-family: " + props.theme.font + ";\n\t}\n\t& label input[checked] + div {\n\t\tborder-color: " + props.theme.colors.primary.main + ";\n\t\tbackground: " + props.theme.colors.primary.main + ";\n\t\t> svg {\n\t\t\tstroke: #fff;\n\t\t}\n\t}\n\t& label[disabled] {\n\t\topacity: 0.4\n\t}\n"; };
var CheckboxWrapper = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n"])), getBaseStyle, exports.getHoverStyle);
var Checkbox = function (props) {
    return (React.createElement(CheckboxWrapper, null,
        React.createElement(grommet_1.CheckBox, __assign({}, props))));
};
exports.default = asRendition_1.default(Checkbox);
var templateObject_1;
