"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var grommet_1 = require("grommet");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../asRendition"));
var utils_1 = require("../utils");
var StyledGrommetSelect = styled_components_1.default(grommet_1.Select)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-family: ", ";\n\tfont-size: ", ";\n\tfont-weight: normal;\n\theight: ", ";\n\tpadding: ", ";\n\tpadding-left: 20px;\n"], ["\n\tfont-family: ", ";\n\tfont-size: ", ";\n\tfont-weight: normal;\n\theight: ", ";\n\tpadding: ", ";\n\tpadding-left: 20px;\n"])), function (props) { return props.theme.font; }, function (props) { return utils_1.px(props.theme.fontSizes[1]); }, function (props) { return (props.emphasized ? '46px' : '36px'); }, function (props) { return (props.emphasized ? '14px' : '10px'); });
var Container = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t& > button {\n\t\twidth: 100%;\n\t}\n"], ["\n\t& > button {\n\t\twidth: 100%;\n\t}\n"])));
function Select(_a) {
    var size = _a.size, selected = _a.selected, focusIndicator = _a.focusIndicator, margin = _a.margin, className = _a.className, dropProps = _a.dropProps, otherProps = __rest(_a, ["size", "selected", "focusIndicator", "margin", "className", "dropProps"]);
    return (React.createElement(Container, { className: className },
        React.createElement(StyledGrommetSelect, __assign({}, otherProps, { dropProps: __assign({}, dropProps, { elevation: 'none' }), focusIndicator: false }))));
}
exports.default = asRendition_1.default(Select);
var templateObject_1, templateObject_2;
