import * as tslib_1 from "tslib";
import assign from 'lodash/assign';
import * as React from 'react';
import { withProps } from 'recompose';
import styled from 'styled-components';
import { maxWidth, textAlign, } from 'styled-system';
import asRendition from '../asRendition';
var ContainerBase = styled.div(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n"])), textAlign, maxWidth);
var Container = function (props) {
    return (React.createElement(ContainerBase, tslib_1.__assign({}, props, { maxWidth: props.theme.breakpoints.map(function (bp, i) { return "calc(" + bp + " - " + props.theme.space[i] + "em)"; }) })));
};
Container.displayName = 'Container';
Container.defaultProps = {};
var setDefaultProps = withProps(function (props) {
    return assign({
        px: 3,
        ml: 'auto',
        mr: 'auto',
    }, props);
});
export default asRendition(Container, [
    setDefaultProps,
]);
var templateObject_1;
