import * as tslib_1 from "tslib";
import { Tab as GrommetTab, Tabs as GrommetTabs, } from 'grommet';
import map from 'lodash/map';
import * as React from 'react';
import asRendition from '../asRendition';
var TabsBase = function (_a) {
    var children = _a.children, tabs = _a.tabs, props = tslib_1.__rest(_a, ["children", "tabs"]);
    return (React.createElement(GrommetTabs, tslib_1.__assign({ justify: "start" }, props), map(children, function (child, index) {
        return (React.createElement(GrommetTab, { key: tabs[index], title: tabs[index] }, child));
    })));
};
export default asRendition(TabsBase);
